[jira] [Commented] (SLING-7042) Launchpad does not start with Java 9 RC1

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[jira] [Commented] (SLING-7042) Launchpad does not start with Java 9 RC1

JIRA jira@apache.org

    [ https://issues.apache.org/jira/browse/SLING-7042?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16121289#comment-16121289 ]

Karl Pauls commented on SLING-7042:
-----------------------------------

[~rombert], yes, I did think about it when I did the Felix 5.6.6 integration - we don't yet provide the properties for java9. The way this works is that the sling launchpad base overrides the felix properties and in this case, it doesn't have the right ones for java9.

I can add them and then we can see if that makes it work for you.

> Launchpad does not start with Java 9 RC1
> ----------------------------------------
>
>                 Key: SLING-7042
>                 URL: https://issues.apache.org/jira/browse/SLING-7042
>             Project: Sling
>          Issue Type: Bug
>          Components: Launchpad
>            Reporter: Robert Munteanu
>             Fix For: launchpad base 2.6.22
>
>         Attachments: sling-java9.log
>
>
> I tried to start Sling 10-SNAPSHOT with the latest Java 9 RC:
> {noformat}$ /opt/jdk-9/bin/java -version
> java version "9"
> Java(TM) SE Runtime Environment (build 9+181)
> Java HotSpot(TM) 64-Bit Server VM (build 9+181, mixed mode){noformat}
> It fails to start with the following error ( full console log attached )
> {noformat}ERROR: Error parsing system bundle export statement: org.osgi.dto; version=1.0.0, org.osgi.framework; version=1.8.0, org.osgi.framework.dto; version=1.8.0, org.osgi.framework.hooks.bundle; version=1.1.0, org.osgi.framework.hooks.resolver; version=1.0.0, org.osgi.framework.hooks.service; version=1.1.0, org.osgi.framework.hooks.weaving; version=1.1.0, org.osgi.framework.launch; version=1.2.0, org.osgi.framework.namespace; version=1.1.0, org.osgi.framework.startlevel; version=1.0.0, org.osgi.framework.startlevel.dto; version=1.0.0, org.osgi.framework.wiring; version=1.2.0, org.osgi.framework.wiring.dto; version=1.2.0, org.osgi.resource; version=1.0.0, org.osgi.resource.dto; version=1.0.0, org.osgi.service.packageadmin; version=1.2.0, org.osgi.service.resolver; version=1.0.0, org.osgi.service.startlevel; version=1.1.0, org.osgi.service.url; version=1.0.0, org.osgi.util.tracker; version=1.5.1, org.apache.sling.launchpad.api;version=1.2.0,  
> org.osgi.framework.BundleException: Exported package names cannot be zero length.{noformat}
> I've tried the Felix 5.6.6 distribution and it worked fine with the same Java 9 build, so the error is likely in Sling somewhere.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)
Loading...